Name: clamsmtp
Version: 1.3
Release: alt1

Summary: SMTP virus-scanning proxy
License: BSD
Group: File tools

Url: http://memberwebs.com/nielsen/software/clamsmtp/
Source0: %name-%version.tar.gz
Source1: clamsmtpd.init
Source2: clamsmtpd.conf
Source3: README.ALT-ru_RU.KOI8-R

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: clamav

%description
ClamSMTP is an SMTP filter that allows you to check for viruses using the
ClamAV anti-virus software. It accepts SMTP connections and forwards the SMTP
commands and responses to another SMTP server. The 'DATA' email body is
intercepted and scanned before forwarding.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall

%__install -d %buildroot%_initdir
%__install -pD -m755 %SOURCE1 %buildroot%_initdir/clamsmtpd
%__install -pD -m644 %SOURCE2 %buildroot%_sysconfdir/clamsmtpd.conf
%__install -d %buildroot/var/run/clamsmtp
%__install -pD -m644 %SOURCE3 %_builddir/%name-%version/README.ALT-ru_RU.KOI8-R

%post
%post_service clamsmtpd

%postun
%preun_service clamsmtpd

%files
%_sbindir/*
%_initdir/*
%config(noreplace) %_sysconfdir/*.conf
%attr(3775,root,mail) %dir /var/run/clamsmtp
%_mandir/man5/*
%_mandir/man8/*
%doc AUTHORS ChangeLog README README.ALT-ru_RU.KOI8-R

%changelog
* Thu Jan 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.3-alt1
- 1.3

* Sun Jan 09 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.2-alt1
- initial release

